%global python3_pkgversion 38
%global python3_other_pkgversion 3

# Created by pyp2rpm-3.3.3
%global pypi_name certifi

# Our EL8 buildroots default to Python 3.8, but let's also build 3.6, just to be safe
# to make dnf happy
%if 0%{?rhel} == 8
%bcond_without python36
%else
%bcond_with python36
%endif

Name:           python-%{pypi_name}
Version:        2020.6.20
Release:        5%{?dist}
Summary:        Python package for providing Mozilla's CA Bundle

License:        MPL-2.0
URL:            https://certifiio.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         certifi-2020.6.20-use-system-cert.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  ca-certificates
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       ca-certificates
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%if %{with python36}
%package -n     python%{python3_other_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       ca-certificates
BuildRequires:  python36-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}


%description -n python%{python3_other_pkgversion}-%{pypi_name}
%{summary}
%endif


%prep
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove bundled Root Certificates collection
rm -rf certifi/*.pem


%build
set -ex
%py3_build
%if %{with python36}
/usr/bin/python3.6 setup.py build '--executable=/usr/bin/python3.6 -s'
%endif


%install
set -ex
%py3_install
%if %{with python36}
/usr/bin/python3.6 setup.py install --skip-build --root %{buildroot}
%endif


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with python36}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_prefix}/lib/python3.6/site-packages/%{pypi_name}
%{_prefix}/lib/python3.6/site-packages/%{pypi_name}-%{version}-py*.egg-info
%endif


%changelog
* Wed Apr  6 2022 Sebastian Skracic <sskracic@redhat.com> - 2020.6.20-5
- Fixing accidental paste issue in the .spec file

* Tue Apr  5 2022 Sebastian Skracic <sskracic@redhat.com> - 2020.6.20-4
- Now building RPMs for both Python 3.6 and 3.8

* Wed Sep 08 2021 Evgeni Golov - 2020.6.20-2
- Build against Python 3.8

* Mon Jul 20 2020 Evgeni Golov - 2020.6.20-1
- Initial package.
